• Relatório da Red Hat Aponta Vulnerabilidades no Xpdf

    De acordo com um relatório emitido pela Red Hat, duas vulnerabilidades no software livre visualizador de arquivos no formato PDF, podem ser exploradas através de documentos PDF manipulados com a intenção de comprometer o sistema da vítima. As falhas são aparentemente devido a um uninitialized pointer (ponteiro não inicializado) e um erro de índice da matriz. Esses problemas se estendem a um número de aplicações que usam o código Xpdf, incluindo, poppler, CUPS, gPDF e KPDF. No entanto, a Red Hat não divulgou informações específicas sobre as versões afetadas. Se o visualizador de documentos Evince que se baseia em poppler também tiver sido afetado, essa ocorrência é desconhecida.



    A Red Hat fez pacotes atualizados disponíveis para todos os produtos listados. De acordo com a especialista de segurança Secunia, os desenvolvedores poppler fecharam as lacunas em seu repositório, há três semanas. O status de outros produtos atualmente, é incerto. Se os pacotes de outros distribuidores foram afetados pelo problema, parece bastante provável que em breve sejam lançadas as devidas atualizações para correção.


    Saiba Mais:

    [1] Atualização de Segurança Xpdf: https://rhn.redhat.com/errata/RHSA-2010-0751.html
    [2] Secunia: http://secunia.com/advisories/41596/
    Comentários 1 Comentário
    1. Avatar de Não Registrado(s)
      Não Registrado(s) -
      Umas das vantagens de aplicativos livres é a rápida descoberta de falhas antes mesma de ter sido explorada por algum cracker.
    + Enviar Comentário


Visite: BR-Linux ·  VivaOLinux ·  Dicas-L